Bug 62234 - --usage shows only some of the command line options
--usage shows only some of the command line options
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: popt (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks: 61758 61762
  Show dependency treegraph
 
Reported: 2002-03-28 12:45 EST by Mihai Ibanescu
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 15:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example source file that displays the odd behaviour of --usage (561 bytes, text/plain)
2002-03-28 12:46 EST, Mihai Ibanescu
no flags Details

  None (edit)
Description Mihai Ibanescu 2002-03-28 12:45:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
--usage has a weird preference on showing command line options. See attached
test program.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run the attached program.
	

Actual Results:  [misa@roadrunner py-popt]$ ./t --help
Usage: t [OPTION...]
  --longonly          Descrip
  -u, --longshort     Descrip
  -v=INT              Descrip
  -x                  Descrip

Help options:
  -?, --help          Show this help message
  --usage             Display brief usage message

[misa@roadrunner py-popt]$ ./t --usage
Usage: t [--usage] [--longonly] [-v INT]


Expected Results:  --longshort and -x should have showed up in the usage too.

Additional info:

$ rpm -q popt
popt-1.6.4-7x
Comment 1 Mihai Ibanescu 2002-03-28 12:46:13 EST
Created attachment 51193 [details]
Example source file that displays the odd behaviour of --usage
Comment 2 Jeff Johnson 2002-07-25 14:24:31 EDT
In popt-1.7-0.56, the test program should (now) display:

Usage: t62234 [-?|--help] [--usage] [--longonly] [-u|--longshort] [-v INT]
        [-x]

Note You need to log in before you can comment on or make changes to this bug.